Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::SwitchSensorClass Struct Reference

Sensor class that switch properties. More...

Inheritance diagram for peripheral::GatewaySensorManager::SwitchSensorClass:

## Additional Inherited Members

Public Attributes inherited from peripheral::GatewaySensorManager::StateSensorClass
sensors::Sensor TypeSpec | type
| state sensor type
Public Attributes inherited from peripheral::GatewaySensorManager::SensorClass
string | classId
| sensor class id

## Detailed Description

Sensor class that switch properties.

Definition at line 257 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl